$(".banner-slider").slick({
    speed: 1000,
    swipe: true,
    arrows: false,
  });
  
  $(".content1-right").slick({
    dotsClass: 'slick-dots',
    dots: true,
    speed: 1000,
  
    arrows: false,
  
  });
  
  // banner輪播效果
  // $(".banner-slider").on('beforeChange', function (event, slick, currentSlide, nextSlide) {
  //   console.log('beforeChangeEvent: currenSlide=' + currentSlide + ', nextSlide= ' + nextSlide);
  //   if (nextSlide == 1) {
  
  //     $("#animation2").addClass("animation-h1");
  //     $("#btn-animation2").addClass("animation-btn");
  //     $("#animation1").removeClass("animation-h1");
  //     $("#btn-animation1").removeClass("animation-btn");
  
  //     $("#animation3").removeClass("animation-h1");
  //     $("#btn-animation3").removeClass("animation-btn");
  //   }
  //   else if (nextSlide == 2) {
  //     $("#animation3").addClass("animation-h1");
  //     $("#btn-animation3").addClass("animation-btn");
  //     $("#animation1").removeClass("animation-h1");
  //     $("#btn-animation1").removeClass("animation-btn");
  //     $("#animation2").removeClass("animation-h1");
  //     $("#btn-animation2").removeClass("animation-btn");
  //   }else if (nextSlide == 0) {
  //     $("#animation1").addClass("animation-h1");
  //     $("#btn-animation1").addClass("animation-btn");
  //     $("#animation2").removeClass("animation-h1");
  //     $("#btn-animation2").removeClass("animation-btn");
  //     $("#animation3").removeClass("animation-h1");
  //     $("#btn-animation3").removeClass("animation-btn");
  // }
  
  // });
  // content輪播圖片偵測效果
  $(".text-1").addClass("contant-toggle");
  
  $(".content1-right").on('beforeChange', function (event, slick, currentSlide, nextSlide) {
    console.log('beforeChangeEvent: currenSlide=' + currentSlide + ', nextSlide= ' + nextSlide);
    if (nextSlide == 1) {
      $(".text-1").removeClass("contant-toggle");
      $(".text-2").addClass("contant-toggle");
      $(".text-3").removeClass("contant-toggle");
    } else if (nextSlide == 2) {
      $(".text-2").removeClass("contant-toggle");
      $(".text-1").removeClass("contant-toggle");
      $(".text-3").addClass("contant-toggle");
  
    } else if (nextSlide == 0) {
      $(".text-2").removeClass("contant-toggle");
      $(".text-1").addClass("contant-toggle");
      $(".text-3").removeClass("contant-toggle");
    }
  
  });
  
  $.fn.serializeObject = function () {
    var o = {};
    var a = this.serializeArray();
    o["id"] = 0;
    o["time_stamp"] = "";
    $.each(a, function () {
      if (o[this.name]) {
        if (!o[this.name].push) {
          o[this.name] = [o[this.name]];
        }
        o[this.name].push(this.value || '');
      } else {
        o[this.name] = this.value || '';
      }
    });
  
    return o;
  };
  
  $(".contact-form1").submit(function (e) {
    /*	var formRef = $('#form1').serializeArray();
      var jsonString = JSON.stringify(formRef);*/
    var jsonInfo = $('.contact-form1').serializeObject();
    var jsonString = JSON.stringify(jsonInfo);
    console.log('Mike: ' + jsonString);
   
    $.ajax({
      type: 'POST',
      url: 'http://cal.ptt.cx/deco_request_detail',
      data: jsonString,
      dataType: 'json',
      success: function (data) {
        console.log('Mike:送出成功: ' + data);
        // if (data == 0) {
        //   alert("送出成功");
        // } else if (data == 1) {
        //   alert("email重複");
        // } else if (data == 2) {
        //   alert("phone重複");
        // } else if (data == 3) {
        //   alert("email、phone重複");
        // }
      },
      beforeSend: function () {
        console.log('Mike::beforeSend');
      },
      complete: function () {
        console.log('Mike:complete');
      },
      error: function (jqXHR, textStatus, errorThrown) {
        console.log(JSON.stringify(jqXHR));
        console.log("AJAX errr: " + textStatus + ' : ' + errorThrown);
        console.log('Mike:送出失敗: ' + jqXHR.responseText);
      }
    });
    return false;
  });
  
  
  
  
  
  $("*").each(function (index, element) {
    // 此元素被點選後執行
    $(this).click(function (e) {
      // 取得被點選元素的屬性：data-gt-target
      var target = $(this).attr("data-gt-target");
      var duration = $(this).attr("data-gt-duration");
      var offset = $(this).attr("data-gt-offset");
  
      // JS 語法：判斷式
      // if (條件) {程式區塊}
      // 當條件成立，會執行程式區塊
  
      // 如果 目標有資料 才會執行 { } 內的程式
      // 避免出現 undefine (未定義 - 不存在的資料)
      if (target) {
        //console.log("目標：" + target);
        //console.log("時間：" + duration);
        //console.log("位移：" + offset);
  
        // 上方位置 = 目標區塊.位移().上方位置
        var top = $(target).offset().top;
        //console.log("要前往元素的上方位置：" + top);
  
        // 網頁元素.停止().動畫({ 上方捲動：指定元素 - 位移}，持續時間)
        // parseInt() 將文字轉為數字
  
        $("html").stop().animate({
          scrollTop: top - offset
        }, parseInt(duration));
      }
    });
  });
  
  // 避免動畫與使用者滾輪衝突
  // html 在滾動滾輪時 停止 html 所有效果
  $("html").on("mousewheel", function () {
    $("html").stop();
  });
  
  
  
  